xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it
Safe Haskell | None

XMonad.Prompt.Ssh

Contents

- Usage

Description

A ssh prompt for XMonad

Synopsis

- sshPrompt :: XPConfig -> X ()
- data Ssh

# Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Ssh

1. In your keybindings add something like:

       , ((modm .|. controlMask, xK_s), sshPrompt defaultXPConfig)

Keep in mind, that if you want to use the completion you have to disable the HashKnownHosts option in your ssh_config

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

sshPrompt :: XPConfig -> X ()Source

data Ssh Source

Instances

XPrompt Ssh |